# eric4.Graphics.ImportsDiagram

Module implementing a dialog showing an imports diagram of a package.

### Global Attributes

None

### Classes

ImportsDiagram | Class implementing a dialog showing an imports diagram of a package.

### Functions

None

## ImportsDiagram

Class implementing a dialog showing an imports diagram of a package.

Note: Only package internal imports are show in order to maintain some readability.

### Derived from

UMLDialog

### Class Attributes

None

### Methods

ImportsDiagram | Constructor
__addModule | Private method to add a module to the diagram.
__buildImports | Private method to build the modules shapes of the diagram.
__buildModulesDict | Private method to build a dictionary of modules contained in the package.
__createAssociations | Private method to generate the associations between the module shapes.
relayout | Method to relayout the diagram.
show | Overriden method to show the dialog.

#### ImportsDiagram (Constructor)

ImportsDiagram(package, parent = None, name = None, showExternalImports = False)

Constructor

package
  name of a python package to show the import relationships (string)
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)
showExternalImports=
  flag indicating to show exports from outside the package (boolean)

#### ImportsDiagram.__addModule

__addModule(name, classes, x, y)

Private method to add a module to the diagram.

name
  module name to be shown (string)
classes
  list of class names contained in the module (list of strings)
x
  x-coordinate (float)
y
  y-coordinate (float)

#### ImportsDiagram.__buildImports

__buildImports()

Private method to build the modules shapes of the diagram.

#### ImportsDiagram.__buildModulesDict

__buildModulesDict()

Private method to build a dictionary of modules contained in the package.

Returns:
  dictionary of modules contained in the package.

#### ImportsDiagram.__createAssociations

__createAssociations(shapes)

Private method to generate the associations between the module shapes.

shapes
  list of shapes

#### ImportsDiagram.relayout

relayout()

Method to relayout the diagram.

#### ImportsDiagram.show

show()

Overriden method to show the dialog.

Up